Bug 917553 (CVE-2013-1493) - CVE-2013-1493 OpenJDK: CMM malformed raster memory corruption (2D, 8007675)
Summary: CVE-2013-1493 OpenJDK: CMM malformed raster memory corruption (2D, 8007675)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-1493
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 917174
TreeView+ depends on / blocked
 
Reported: 2013-03-04 10:52 UTC by Stefan Cornelius
Modified: 2019-09-29 13:01 UTC (History)
6 users (show)

Fixed In Version: icedtea6 1.11.9, icedtea6 1.12.4, icedtea7 2.1.7, icedtea7 2.2.7, icedtea7 2.3.8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-12 08:38:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0600 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2013-11-15 00:17:00 UTC
Red Hat Product Errata RHSA-2013:0601 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2013-11-15 00:16:23 UTC
Red Hat Product Errata RHSA-2013:0602 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2013-03-07 00:11:40 UTC
Red Hat Product Errata RHSA-2013:0603 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2013-03-07 00:11:03 UTC
Red Hat Product Errata RHSA-2013:0604 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2013-03-07 00:10:56 UTC
Red Hat Product Errata RHSA-2013:0605 normal SHIPPED_LIVE Critical: java-1.6.0-openjdk security update 2013-03-07 00:47:37 UTC
Red Hat Product Errata RHSA-2013:0624 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2013-11-15 00:15:47 UTC
Red Hat Product Errata RHSA-2013:0625 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2013-11-15 00:15:10 UTC
Red Hat Product Errata RHSA-2013:0626 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2013-11-15 00:14:33 UTC
Red Hat Product Errata RHSA-2013:1455 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-10-23 20:30:21 UTC
Red Hat Product Errata RHSA-2013:1456 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-10-23 20:29:56 UTC

Description Stefan Cornelius 2013-03-04 10:52:37 UTC
It was discovered that the CMM part of the 2D component did not properly reject certain malformed images.  Specially-crafted raster parameters could cause Java Virtual Machine memory corruption and, possibly, lead to arbitrary code execution with the virtual machine privileges.

Comment 1 Vincent Danen 2013-03-04 16:38:20 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-1493 to
the following vulnerability:

Name: CVE-2013-1493
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-1493
Assigned: 20130130
Reference: http://blog.fireeye.com/research/2013/02/yaj0-yet-another-java-zero-day-2.html
Reference: http://www.symantec.com/connect/blogs/latest-java-zero-day-shares-connections-bit9-security-incident
Reference: https://krebsonsecurity.com/2013/03/new-java-0-day-attack-echoes-bit9-breach/
Reference: http://www.oracle.com/ocom/groups/public/@otn/documents/webcontent/1915099.xml

The 2D component in Oracle Java SE 7 Update 15 and earlier, 6 Update
41 and earlier, and 5.0 Update 40 and earlier allows remote attackers
to execute arbitrary code or cause a denial of service (crash) via
vectors that trigger a (1) read or (2) write of arbitrary memory in
the JVM, as exploited in the wild in February 2013.

Comment 2 Tomas Hoger 2013-03-04 20:51:01 UTC
Fixed in Oracle Java SE 7u17 and 6u43.

External Reference:

http://www.oracle.com/technetwork/topics/security/alert-cve-2013-1493-1915081.html

Comment 3 errata-xmlrpc 2013-03-06 19:00:09 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0601 https://rhn.redhat.com/errata/RHSA-2013-0601.html

Comment 4 errata-xmlrpc 2013-03-06 19:00:59 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0600 https://rhn.redhat.com/errata/RHSA-2013-0600.html

Comment 5 errata-xmlrpc 2013-03-06 19:15:30 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0604 https://rhn.redhat.com/errata/RHSA-2013-0604.html

Comment 6 errata-xmlrpc 2013-03-06 19:16:09 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0603 https://rhn.redhat.com/errata/RHSA-2013-0603.html

Comment 7 errata-xmlrpc 2013-03-06 19:16:22 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0602 https://rhn.redhat.com/errata/RHSA-2013-0602.html

Comment 8 Tomas Hoger 2013-03-06 19:26:39 UTC
Oracle security blog post with more information on the security alert:

https://blogs.oracle.com/security/entry/security_alert_cve_2013_1493

Upstream commit, as included in IcedTea7 repositories:

http://icedtea.classpath.org/hg/release/icedtea7-forest-2.3/jdk/rev/4f97a6256473

Comment 9 errata-xmlrpc 2013-03-06 19:49:09 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0605 https://rhn.redhat.com/errata/RHSA-2013-0605.html

Comment 10 errata-xmlrpc 2013-03-11 18:49:59 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0624 https://rhn.redhat.com/errata/RHSA-2013-0624.html

Comment 11 errata-xmlrpc 2013-03-11 19:01:19 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0626 https://rhn.redhat.com/errata/RHSA-2013-0626.html

Comment 12 errata-xmlrpc 2013-03-11 19:02:45 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0625 https://rhn.redhat.com/errata/RHSA-2013-0625.html

Comment 13 Tomas Hoger 2013-03-12 08:38:27 UTC
Fixed in IcedTea versions IcedTea6 1.11.9 and 1.12.4, and IcedTea7 2.1.7, 2.2.7 and 2.3.8:

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-March/022145.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-March/022273.html

Comment 16 errata-xmlrpc 2013-10-23 16:39:49 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.5

Via RHSA-2013:1456 https://rhn.redhat.com/errata/RHSA-2013-1456.html

Comment 17 errata-xmlrpc 2013-10-23 16:51:05 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html


Note You need to log in before you can comment on or make changes to this bug.